# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 6681af165b06c32cf65bf970a295600d46cb7025
    parent 1ae2745fd160bbc25bab56be31d04a9d7f8ef4d4
    Author: noname <noname@inventati.org>
    Date:   Sun, 27 Apr 2014 15:40:01 +0400

    Remove unused dump() function.

    Diffstat:
    Mst.c | 10----------

    1 file changed, 0 insertions(+), 10 deletions(-)
    diff --git a/st.c b/st.c
    @@ -399,7 +399,6 @@ static int32_t tdefcolor(int *, int *, int);
     static void tselcs(void);
     static void tdeftran(char);
     static inline bool match(uint, uint);
    -static void dump(char c);
     static void ttynew(void);
     static void ttyread(void);
     static void ttyresize(void);
    @@ -1243,15 +1242,6 @@ ttynew(void) {
     }

     void
    -dump(char c) {
    -	static int col;
    -
    -	fprintf(stderr, " %02x '%c' ", c, isprint(c)?c:'.');
    -	if(++col % 10 == 0)
    -		fprintf(stderr, "\n");
    -}
    -
    -void
     ttyread(void) {
     	static char buf[BUFSIZ];
     	static int buflen = 0;